#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
ll sang[100001];
ll n,k,d;
void sangnt()
{
    ll i=1;
    while (i<=1000)
    {
        ll lim = 100000/i;
        for (ll j=1;j<=lim;j++)
        {
            sang[i*j]++;
        }
        i++;
    }
}
int main()
{
    freopen("BAI1_18.inp","r",stdin);
    freopen("BAI1_18.out","w",stdout);
    sangnt();
    cin>>n>>k;
    for (ll i=1;i<=n;i++)
    {
        if (sang[i]==k)
            d++;
    }
    cout<<d;
}
